package jrummikub.control.turn;

import jrummikub.model.IHand;
import jrummikub.model.ITable;
import jrummikub.view.IView;

public abstract class TurnControlFactory {
	/** 
	 * Type of turn control.
	 */
	public enum Type {
		/** */
		HUMAN,
		/** */
		COMPUTER
	};
	
	public abstract ITurnControl create();
	
	static public TurnControlFactory getFactory(Type type) {
		switch(type) {
		case HUMAN:
			return HumanTurnControl.getFactory();
		case COMPUTER:
			return BaseAIControl.getFactory();
		}
		return null;
	}
}
